[Mailman-Users] Migrating from 1.0 to 2.1.9

Mark Sapiro msapiro at value.net
Tue Jul 31 01:46:49 CEST 2007

runner at winning.com wrote:
>Looks like I jumped to a conclusion on the dumpdb script.  The mailman/bin directory on the old server does not contain a dumpdb script however, I just realized that it may be due to the fact that someone may have deleted it and not that there was no such script for Mailman 1.0.  Will a dumpdb script from a newer version of Mailman work on the old 1.0 version?

It appears there was no dumpdb in Mailman 1.0 or 1.1. There is one in
Mailman 2.0, but I don't know it it will work. You could try it.

However, even Mailman 1.0 has a withlist which might be useful.

Here are some other thoughts.

There's no way to convert the list admin and moderator passwords. See
the 2.1.9 change_pw for why and what to do about it.

There's code in Mailman/versions.py that goes back to 1.0. Instead of
creating new lists in the new installation, you could try just moving
the old lists/<listname>/config.db, at least for one test to see what
happens. It might work. It won't solve the password problem, but if it
works, it should save you a bunch of work.

Mark Sapiro <msapiro at value.net>       The highway is for gamblers,
San Francisco Bay Area, California    better use your sense - B. Dylan

More information about the Mailman-Users mailing list